import { get, put, post, deletes } from '@/http/index'

// 查询保障规则子列表
export const getSafeRuleSub = async (data) => {
  return await get('/als/safeRuleSub/list', data)
}

// 新增保障规则子
export const addSafeRuleSub = async (data) => {
  return await post('/als/safeRuleSub', data)
}

// 修改保障规则子
export const updateSafeRuleSub = async (data) => {
  return await put('/als/safeRuleSub', data)
}

// 删除保障规则子
export const removeSafeRuleSub = async (id) => {
  return await deletes('/als/safeRuleSub/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
